missing sessionpath

Bug #1594642 reported by Robert Lyon on 2016-06-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

On latest master: commit 522312544d6a7e44ce83b37394db817df3c7d070

I get this error when I try and close the site

[WAR] 2c (lib/errors.php:508) An exception was thrown of class RuntimeException.
THIS IS BAD and should be changed to something extending MaharaException,
unless the exception is from a third party library.
Original trace follows
[WAR] 2c (auth/session.php:552) Directory name must not be empty.
Call stack (most recent first):

    RecursiveDirectoryIterator->__construct("") at /home/robertl/htdocs/mahara-devel/mahara/htdocs/auth/session.php:552
    remove_all_sessions() at /home/robertl/htdocs/mahara-devel/mahara/htdocs/admin/index.php:106
    close_site_submit(object(Pieform), array(size 3)) at Unknown:0
    call_user_func_array("close_site_submit", array(size 2)) at /home/robertl/htdocs/mahara-devel/mahara/htdocs/lib/pieforms/pieform.php:540
    Pieform->__construct(array(size 3)) at /home/robertl/htdocs/mahara-devel/mahara/htdocs/lib/pieforms/pieform.php:161
    Pieform::process(array(size 3)) at /home/robertl/htdocs/mahara-devel/mahara/htdocs/lib/mahara.php:4494
    pieform(array(size 3)) at /home/robertl/htdocs/mahara-devel/mahara/htdocs/admin/index.php:61

Older versions will need to be tested as well to see if they exhibit the issue.

Changed in mahara:
status: New → Confirmed
importance: Undecided → High
milestone: none → 16.10.0
Robert Lyon (robertl-9) wrote :

Reviewed: https://reviews.mahara.org/6610
Committed: https://git.mahara.org/mahara/mahara/commit/4a4ba6944c94d6dac448460b3a07c8d5f697ab63
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4a4ba6944c94d6dac448460b3a07c8d5f697ab63
Author: Robert Lyon <email address hidden>
Date: Tue Jun 21 14:14:44 2016 +1200

Bug 1594642: Problem where global $sessionpath not set

When I tried closing my site I got DirectoryIterator error

behatnotneeded - the patch 6609 will test this

Change-Id: I35024f8e6a558ee9d009e7c2754a0026e8042b2f
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-06-22
Changed in mahara:
status: Confirmed → Fix Committed
Ghada El-Zoghbi (ghada-z) wrote :

Hi Robert,

We're running into the same issue for 16.04.

[WAR] 58 (lib/errors.php:532) An exception was thrown of class RuntimeException.
[WAR] 58 (lib/errors.php:532) THIS IS BAD and should be changed to something extending MaharaException,
[WAR] 58 (lib/errors.php:532) unless the exception is from a third party library.
[WAR] 58 (lib/errors.php:532) Original trace follows
[WAR] 58 (auth/session.php:552) Directory name must not be empty.
Call stack (most recent first):
* RecursiveDirectoryIterator->__construct("") at /var/www/site/auth/session.php:552
* remove_all_sessions() at /var/www/site/admin/cli/close_site.php:47

A nonrecoverable error occurred. This probably means you have encountered a bug in the system===== Exit Code ===== 0

Robert Lyon (robertl-9) wrote :

Hmm, why in the world did I not backport this

Will make backport patches now

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6885

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6886

Reviewed: https://reviews.mahara.org/6884
Committed: https://git.mahara.org/mahara/mahara/commit/470e671c61c81c25739b6efb033b365f99598c47
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 470e671c61c81c25739b6efb033b365f99598c47
Author: Robert Lyon <email address hidden>
Date: Tue Jun 21 14:14:44 2016 +1200

Bug 1594642: Problem where global $sessionpath not set

When I tried closing my site I got DirectoryIterator error

behatnotneeded - the patch 6609 will test this

Change-Id: I35024f8e6a558ee9d009e7c2754a0026e8042b2f
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 4a4ba6944c94d6dac448460b3a07c8d5f697ab63)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6885
Committed: https://git.mahara.org/mahara/mahara/commit/0b6e29046c2ca9c13e43fb2f05ee671d3352f6bf
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 0b6e29046c2ca9c13e43fb2f05ee671d3352f6bf
Author: Robert Lyon <email address hidden>
Date: Tue Jun 21 14:14:44 2016 +1200

Bug 1594642: Problem where global $sessionpath not set

When I tried closing my site I got DirectoryIterator error

behatnotneeded - the patch 6609 will test this

Change-Id: I35024f8e6a558ee9d009e7c2754a0026e8042b2f
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 4a4ba6944c94d6dac448460b3a07c8d5f697ab63)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6886
Committed: https://git.mahara.org/mahara/mahara/commit/5455e881e84543c02da50571ef57c1029fa5a691
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 5455e881e84543c02da50571ef57c1029fa5a691
Author: Robert Lyon <email address hidden>
Date: Tue Jun 21 14:14:44 2016 +1200

Bug 1594642: Problem where global $sessionpath not set

When I tried closing my site I got DirectoryIterator error

behatnotneeded - the patch 6609 will test this

Change-Id: I35024f8e6a558ee9d009e7c2754a0026e8042b2f
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 4a4ba6944c94d6dac448460b3a07c8d5f697ab63)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers